{
    attributes = (
        {
            columnName = "CAN_CODE"; 
            externalType = VARCHAR2; 
            name = canCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "can_fermeture"; 
            externalType = DATE; 
            name = canFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAN_ID_PERE"; 
            externalType = NUMBER; 
            name = canIdPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CAN_LIBELLE"; 
            externalType = VARCHAR2; 
            name = canLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "can_montant"; 
            externalType = NUMBER; 
            name = canMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = B; 
        }, 
        {
            columnName = "can_Montant_Depassement"; 
            externalType = NUMBER; 
            name = canMontantDepassement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "can_niveau"; 
            externalType = NUMBER; 
            name = canNiveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "can_OUVERTURE"; 
            externalType = DATE; 
            name = canOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "CAN_PUBLIC"; 
            externalType = NUMBER; 
            name = canPublic; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CAN_UTILISABLE"; 
            externalType = NUMBER; 
            name = canUtilisable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "GRP_RESP_C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = grpRespCStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "utl_ordre"; }; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (canCode, canId, canIdPere, canNiveau, canPublic, canUtilisable, tyetId); 
    className = "org.cocktail.jefyadmin.server.metier.EOCodeAnalytique"; 
    classProperties = (
        canCode, 
        canFermeture, 
        canLibelle, 
        canMontant, 
        canNiveau, 
        canOuverture, 
        codeAnalytiqueFils, 
        codeAnalytiqueOrgans, 
        codeAnalytiquePere, 
        estPublic, 
        estUtilisable, 
        onMontantDepassement, 
        toStructureUlrGroupe, 
        typeEtat, 
        utilisateur
    ); 
    externalName = "jefy_admin.CODE_ANALYTIQUE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            canCode, 
            canFermeture, 
            canLibelle, 
            canMontant, 
            canNiveau, 
            canOuverture, 
            codeAnalytiqueFils, 
            codeAnalytiqueOrgans, 
            codeAnalytiquePere, 
            estPublic, 
            estUtilisable, 
            onMontantDepassement, 
            toStructureUlrGroupe, 
            typeEtat, 
            utilisateur
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOCodeAnalytique"; 
        "_nameInObjectStore" = CodeAnalytique; 
    }; 
    name = CodeAnalytique; 
    primaryKeyAttributes = (canId); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = canIdPere; sourceAttribute = canId; }); 
            name = codeAnalytiqueFils; 
        }, 
        {
            destination = CodeAnalytiqueOrgan; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytiqueOrgans; 
        }, 
        {
            destination = CodeAnalytique; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canIdPere; }); 
            name = codeAnalytiquePere; 
        }, 
        {
            destination = TypeEtat; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = canPublic; }); 
            name = estPublic; 
        }, 
        {
            destination = TypeEtat; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = canUtilisable; }); 
            name = estUtilisable; 
        }, 
        {
            destination = TypeEtat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = canMontantDepassement; }); 
            name = onMontantDepassement; 
        }, 
        {
            destination = StructureUlrGroupe; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = grpRespCStructure; }); 
            name = toStructureUlrGroupe; 
        }, 
        {
            destination = TypeEtat; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = Utilisateur; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
